public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: games-roguelike/tome/
@ 2016-01-05  8:26 Michael Sterrett
  0 siblings, 0 replies; 5+ messages in thread
From: Michael Sterrett @ 2016-01-05  8:26 UTC (permalink / raw
  To: gentoo-commits

commit:     88398bc59e200ab3eb70e30eb12c86d57954aed1
Author:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
AuthorDate: Tue Jan  5 05:38:10 2016 +0000
Commit:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
CommitDate: Tue Jan  5 08:26:07 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88398bc5

games-roguelike/tome: add slot dep for sys-libs/ncurses

Package-Manager: portage-2.2.26

 games-roguelike/tome/tome-2.3.5.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/games-roguelike/tome/tome-2.3.5.ebuild b/games-roguelike/tome/tome-2.3.5.ebuild
index fce8c6f..ef87c3c 100644
--- a/games-roguelike/tome/tome-2.3.5.ebuild
+++ b/games-roguelike/tome/tome-2.3.5.ebuild
@@ -15,7 +15,7 @@ SLOT="0"
 KEYWORDS="amd64 ppc x86"
 IUSE="X Xaw3d gtk sdl"
 
-RDEPEND=">=sys-libs/ncurses-5
+RDEPEND=">=sys-libs/ncurses-5:0
 	X? ( x11-libs/libX11 )
 	Xaw3d? ( x11-libs/libXaw )
 	sdl? (


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-roguelike/tome/
@ 2021-04-05 17:45 Sam James
  0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2021-04-05 17:45 UTC (permalink / raw
  To: gentoo-commits

commit:     8e69be319453d26bb448b1ec78ac9c66ea1cce2c
Author:     Wolfgang E. Sanyer <ezzieyguywuf <AT> gmail <DOT> com>
AuthorDate: Tue Mar  9 04:34:59 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr  5 17:45:38 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8e69be31

games-roguelike/tome: remove egames.eclass, update to EAPI 7

Signed-off-by: Wolfgang E. Sanyer <ezzieyguywuf <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-roguelike/tome/tome-2.3.5.ebuild | 37 +++++++++++++++++-----------------
 1 file changed, 18 insertions(+), 19 deletions(-)

diff --git a/games-roguelike/tome/tome-2.3.5.ebuild b/games-roguelike/tome/tome-2.3.5.ebuild
index cdb3c58fefd..ba8a0ba2545 100644
--- a/games-roguelike/tome/tome-2.3.5.ebuild
+++ b/games-roguelike/tome/tome-2.3.5.ebuild
@@ -1,8 +1,8 @@
 # Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-inherit eutils games
+EAPI=7
+inherit multilib
 
 MY_PV=${PV//./}
 DESCRIPTION="save the world from Morgoth and battle evil (or become evil ;])"
@@ -28,14 +28,19 @@ DEPEND="${RDEPEND}
 
 S=${WORKDIR}/tome-${MY_PV}-src/src
 
+PATCHES=( "${FILESDIR}/${PV}-gentoo-paths.patch"
+	"${FILESDIR}"/${PN}-2.3.5-format.patch
+	"${FILESDIR}"/${PN}-2.3.5-noX.patch
+)
+
 src_prepare() {
 	mv makefile.std makefile
-	epatch "${FILESDIR}/${PV}-gentoo-paths.patch" \
-		"${FILESDIR}"/${P}-format.patch \
-		"${FILESDIR}"/${P}-noX.patch
+
+	default
+
 	sed -i -e '/^CC =/d' makefile || die
 	sed -i -e "s:xx:x:" ../lib/edit/p_info.txt || die
-	sed -i -e "s:GENTOO_DIR:${GAMES_STATEDIR}:" files.c init2.c || die
+	# sed -i -e "s:GENTOO_DIR:${GAMES_STATEDIR}:" files.c init2.c || die
 
 	find .. -name .cvsignore -exec rm -f \{\} +
 	find ../lib/edit -type f -exec chmod a-x \{\} +
@@ -90,8 +95,8 @@ src_compile() {
 		INCLUDES="${GENTOO_INCLUDES}" \
 		DEFINES="${GENTOO_DEFINES}" \
 		LIBS="${GENTOO_LIBS} -lm" \
-		BINDIR="${GAMES_BINDIR}" \
-		LIBDIR="${GAMES_DATADIR}/${PN}" \
+		BINDIR="${EPREFIX}/usr/bin" \
+		LIBDIR="${EPREFIX}/usr/$(get_libdir)/${PN}" \
 		GTK_SRC_FILE="${GTK_SRC_FILE}" \
 		GTK_OBJ_FILE="${GTK_OBJ_FILE}"
 }
@@ -99,23 +104,17 @@ src_compile() {
 src_install() {
 	emake -j1 \
 		DESTDIR="${D}" \
-		OWNER="${GAMES_USER}" \
-		BINDIR="${GAMES_BINDIR}" \
-		LIBDIR="${GAMES_DATADIR}/${PN}" install
+		OWNER="nobody" \
+		BINDIR="${EPREFIX}/usr/bin" \
+		LIBDIR="${EPREFIX}/usr/$(get_libdir)/${PN}" install
 	cd ..
 	dodoc *.txt
 
-	dodir "${GAMES_STATEDIR}"
-	touch "${D}/${GAMES_STATEDIR}/${PN}-scores.raw"
-	prepgamesdirs
-	fperms g+w "${GAMES_STATEDIR}/${PN}-scores.raw"
-	#FIXME: something has to be done about this.
-	fperms g+w "${GAMES_DATADIR}/${PN}/data"
+	dodir "/var/games"
+	touch "${D}/var/games/${PN}-scores.raw"
 }
 
 pkg_postinst() {
-	games_pkg_postinst
-	echo
 	ewarn "ToME ${PV} is not save-game compatible with 2.3.0 and previous versions."
 	echo
 	ewarn "If you have older save files and you wish to continue those games,"


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-roguelike/tome/
@ 2021-04-05 17:45 Sam James
  0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2021-04-05 17:45 UTC (permalink / raw
  To: gentoo-commits

commit:     26aadfd8089d9478bc029d4b7dd127844c1ae1c9
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Apr  5 17:40:02 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr  5 17:45:48 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26aadfd8

games-roguelike/tome: fix games.eclass porting, pkgconfig calls, multilib--

Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-roguelike/tome/tome-2.3.5.ebuild | 67 +++++++++++++++++++++++-----------
 1 file changed, 46 insertions(+), 21 deletions(-)

diff --git a/games-roguelike/tome/tome-2.3.5.ebuild b/games-roguelike/tome/tome-2.3.5.ebuild
index 66f77bb1c07..e7b97c6f370 100644
--- a/games-roguelike/tome/tome-2.3.5.ebuild
+++ b/games-roguelike/tome/tome-2.3.5.ebuild
@@ -1,40 +1,47 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
-inherit multilib
+
+inherit toolchain-funcs
 
 MY_PV=${PV//./}
 DESCRIPTION="save the world from Morgoth and battle evil (or become evil ;])"
 HOMEPAGE="http://t-o-m-e.net/"
 SRC_URI="http://t-o-m-e.net/dl/src/tome-${MY_PV}-src.tar.bz2"
+S="${WORKDIR}"/tome-${MY_PV}-src/src
 
 LICENSE="Moria"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="X Xaw3d gtk sdl"
+IUSE="gtk sdl X Xaw3d"
 
-RDEPEND=">=sys-libs/ncurses-5:0
-	X? ( x11-libs/libX11 )
-	Xaw3d? ( x11-libs/libXaw )
+RDEPEND="
+	>=sys-libs/ncurses-5:0=
 	sdl? (
 		media-libs/sdl-ttf
 		media-libs/sdl-image
 		media-libs/libsdl )
-	gtk? ( >=x11-libs/gtk+-2.12.8:2 ) "
-DEPEND="${RDEPEND}
+	gtk? ( >=x11-libs/gtk+-2.12.8:2 )
+	X? ( x11-libs/libX11 )
+	Xaw3d? ( x11-libs/libXaw )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
 	virtual/pkgconfig
-	x11-misc/makedepend"
+	x11-misc/makedepend
+"
 
-S=${WORKDIR}/tome-${MY_PV}-src/src
+RDEPEND+=" acct-group/gamestat"
 
-PATCHES=( "${FILESDIR}/${PN}-2.3.5-gentoo-paths.patch"
+PATCHES=(
+	"${FILESDIR}/"${PN}-2.3.5-gentoo-paths.patch
 	"${FILESDIR}"/${PN}-2.3.5-format.patch
 	"${FILESDIR}"/${PN}-2.3.5-noX.patch
 )
 
 src_prepare() {
-	mv makefile.std makefile
+	mv makefile.std makefile || die
 
 	default
 
@@ -42,54 +49,67 @@ src_prepare() {
 	sed -i -e "s:xx:x:" ../lib/edit/p_info.txt || die
 	# sed -i -e "s:GENTOO_DIR:${GAMES_STATEDIR}:" files.c init2.c || die
 
-	find .. -name .cvsignore -exec rm -f \{\} +
-	find ../lib/edit -type f -exec chmod a-x \{\} +
+	find .. -name .cvsignore -exec rm -f \{\} + || die
+	find ../lib/edit -type f -exec chmod a-x \{\} + || die
 }
 
 src_compile() {
-	local GENTOO_INCLUDES="" GENTOO_DEFINES="-DUSE_GCU " GENTOO_LIBS="$(pkg-config ncurses --libs)"
+	tc-export CC
+
+	local GENTOO_INCLUDES="" GENTOO_DEFINES="-DUSE_GCU " GENTOO_LIBS="$($(tc_getPKG_CONFIG) ncurses --libs)"
+
 	if use sdl || use X || use gtk || use Xaw3d; then
 		GENTOO_DEFINES="${GENTOO_DEFINES} -DUSE_EGO_GRAPHICS -DUSE_TRANSPARENCY \
 			-DSUPPORT_GAMMA"
 	fi
+
 	if use sdl || use X || use Xaw3d; then
 		GENTOO_DEFINES="${GENTOO_DEFINES} -DUSE_PRECISE_CMOVIE -DUSE_UNIXSOCK "
 	fi
+
 	if use sdl; then
 		GENTOO_INCLUDES="${GENTOO_INCLUDES} $(sdl-config --cflags)"
 		GENTOO_DEFINES="${GENTOO_DEFINES} -DUSE_SDL "
 		GENTOO_LIBS="${GENTOO_LIBS} $(sdl-config --libs) -lSDL_image -lSDL_ttf"
 	fi
+
 	if use X; then
 		GENTOO_INCLUDES="${GENTOO_INCLUDES} -I/usr/X11R6/include "
 		GENTOO_DEFINES="${GENTOO_DEFINES} -DUSE_X11 "
 		GENTOO_LIBS="${GENTOO_LIBS} -L/usr/X11R6/lib -lX11 "
 	fi
+
 	if use Xaw3d; then
 		GENTOO_INCLUDES="${GENTOO_INCLUDES} -I/usr/X11R6/include "
 		GENTOO_DEFINES="${GENTOO_DEFINES} -DUSE_XAW "
 		GENTOO_LIBS="${GENTOO_LIBS} -L/usr/X11R6/lib -lXaw -lXmu -lXt -lX11 "
 	fi
+
 	if use gtk; then
-		GENTOO_INCLUDES="${GENTOO_INCLUDES} $(pkg-config gtk+-2.0 --cflags)"
+		GENTOO_INCLUDES="${GENTOO_INCLUDES} $($(tc_getPKG_CONFIG) gtk+-2.0 --cflags)"
 		GENTOO_DEFINES="${GENTOO_DEFINES} -DUSE_GTK2 "
-		GENTOO_LIBS="${GENTOO_LIBS} $(pkg-config gtk+-2.0 --libs) "
+		GENTOO_LIBS="${GENTOO_LIBS} $($(tc_getPKG_CONFIG) gtk+-2.0 --libs) "
 		GTK_SRC_FILE="main-gtk2.c"
 		GTK_OBJ_FILE="main-gtk2.o"
 	else
 		GTK_SRC_FILE=""
 		GTK_OBJ_FILE=""
 	fi
+
 	if use amd64; then
 		GENTOO_DEFINES="${GENTOO_DEFINES} -DLUA_NUM_TYPE=int "
 	fi
+
 	GENTOO_INCLUDES="${GENTOO_INCLUDES} -Ilua -I."
 	GENTOO_DEFINES="${GENTOO_DEFINES} -DUSE_LUA"
+
 	emake -j1 \
 		INCLUDES="${GENTOO_INCLUDES}" \
 		DEFINES="${GENTOO_DEFINES}" \
 		depend
-	emake ./tolua
+
+	emake tolua
+
 	emake \
 		COPTS="${CFLAGS}" \
 		INCLUDES="${GENTOO_INCLUDES}" \
@@ -107,11 +127,16 @@ src_install() {
 		OWNER="nobody" \
 		BINDIR="${EPREFIX}/usr/bin" \
 		LIBDIR="${EPREFIX}/usr/$(get_libdir)/${PN}" install
-	cd ..
+
+	cd .. || die
 	dodoc *.txt
 
-	dodir "/var/games"
-	touch "${D}/var/games/${PN}-scores.raw"
+	dodir /var/games
+	touch "${ED}/var/games/${PN}-scores.raw" || die
+
+	fperms 660 /var/games/${PN}-scores.raw
+	fowners root:gamestat /var/games/${PN}-scores.raw
+	fperms g+s /usr/bin/${PN}
 }
 
 pkg_postinst() {


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-roguelike/tome/
@ 2021-04-06  8:46 Sergei Trofimovich
  0 siblings, 0 replies; 5+ messages in thread
From: Sergei Trofimovich @ 2021-04-06  8:46 UTC (permalink / raw
  To: gentoo-commits

commit:     6328e44d6fafb9d0fbd5d02bd5907d719cb4a10e
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  6 08:46:14 2021 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Tue Apr  6 08:46:23 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6328e44d

games-roguelike/tome: fix spelling of tc-getPKG_CONFIG

Reported-by: Agostino Sarubbo
Closes: https://bugs.gentoo.org/780516
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 games-roguelike/tome/tome-2.3.5.ebuild | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/games-roguelike/tome/tome-2.3.5.ebuild b/games-roguelike/tome/tome-2.3.5.ebuild
index e7b97c6f370..3e388418794 100644
--- a/games-roguelike/tome/tome-2.3.5.ebuild
+++ b/games-roguelike/tome/tome-2.3.5.ebuild
@@ -56,7 +56,7 @@ src_prepare() {
 src_compile() {
 	tc-export CC
 
-	local GENTOO_INCLUDES="" GENTOO_DEFINES="-DUSE_GCU " GENTOO_LIBS="$($(tc_getPKG_CONFIG) ncurses --libs)"
+	local GENTOO_INCLUDES="" GENTOO_DEFINES="-DUSE_GCU " GENTOO_LIBS="$($(tc-getPKG_CONFIG) ncurses --libs)"
 
 	if use sdl || use X || use gtk || use Xaw3d; then
 		GENTOO_DEFINES="${GENTOO_DEFINES} -DUSE_EGO_GRAPHICS -DUSE_TRANSPARENCY \
@@ -86,9 +86,9 @@ src_compile() {
 	fi
 
 	if use gtk; then
-		GENTOO_INCLUDES="${GENTOO_INCLUDES} $($(tc_getPKG_CONFIG) gtk+-2.0 --cflags)"
+		GENTOO_INCLUDES="${GENTOO_INCLUDES} $($(tc-getPKG_CONFIG) gtk+-2.0 --cflags)"
 		GENTOO_DEFINES="${GENTOO_DEFINES} -DUSE_GTK2 "
-		GENTOO_LIBS="${GENTOO_LIBS} $($(tc_getPKG_CONFIG) gtk+-2.0 --libs) "
+		GENTOO_LIBS="${GENTOO_LIBS} $($(tc-getPKG_CONFIG) gtk+-2.0 --libs) "
 		GTK_SRC_FILE="main-gtk2.c"
 		GTK_OBJ_FILE="main-gtk2.o"
 	else


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-roguelike/tome/
@ 2021-08-23  4:06 Sam James
  0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2021-08-23  4:06 UTC (permalink / raw
  To: gentoo-commits

commit:     f0186a06df950e5a40d7555efc2db368c34e8413
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 23 04:03:42 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Aug 23 04:06:13 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f0186a06

games-roguelike/tome: fix group of binary

Closes: https://bugs.gentoo.org/809353
Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-roguelike/tome/{tome-2.3.5.ebuild => tome-2.3.5-r1.ebuild} | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/games-roguelike/tome/tome-2.3.5.ebuild b/games-roguelike/tome/tome-2.3.5-r1.ebuild
similarity index 98%
rename from games-roguelike/tome/tome-2.3.5.ebuild
rename to games-roguelike/tome/tome-2.3.5-r1.ebuild
index 3e388418794..946930b9a68 100644
--- a/games-roguelike/tome/tome-2.3.5.ebuild
+++ b/games-roguelike/tome/tome-2.3.5-r1.ebuild
@@ -135,7 +135,7 @@ src_install() {
 	touch "${ED}/var/games/${PN}-scores.raw" || die
 
 	fperms 660 /var/games/${PN}-scores.raw
-	fowners root:gamestat /var/games/${PN}-scores.raw
+	fowners root:gamestat /var/games/${PN}-scores.raw /usr/bin/${PN}
 	fperms g+s /usr/bin/${PN}
 }
 


^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2021-08-23  4:06 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-04-06  8:46 [gentoo-commits] repo/gentoo:master commit in: games-roguelike/tome/ Sergei Trofimovich
  -- strict thread matches above, loose matches on Subject: below --
2021-08-23  4:06 Sam James
2021-04-05 17:45 Sam James
2021-04-05 17:45 Sam James
2016-01-05  8:26 Michael Sterrett

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox